## orp 1.0.9

=== Makefile ===
MAKEFILE = Makefile

.PHONY: all dbg opt clean

all: dbg opt

dbg: 
	cd mains/orp; $(MAKE) -f $(MAKEFILE) dbg;

opt: 
	cd mains/orp; $(MAKE) -f $(MAKEFILE) opt;

clean:
	cd mains/orp; $(MAKE) -f $(MAKEFILE) clean;
