=== jar_zip_utils/Makefile ===
top_srcdir = ..

SOURCES = adler32.cpp \
crc32.cpp \
infblock.cpp \
infcodes.cpp \
inffast.cpp \
inflate.cpp \
inftrees.cpp \
infutil.cpp \
zutil.cpp \
Jar_Entry.cpp \
JarFile.cpp \
Manifest.cpp

INCLUDES = -I$(top_srcdir)/common/include

include $(top_srcdir)/mains/orp/MakeInclude
