=== base_natives/common_olv2/Makefile ===
top_srcdir = ../..

INCLUDES = -I$(top_srcdir)/base_natives/common \
 -I$(top_srcdir)/os/$(UNAME)/include -I$(top_srcdir)/common/include \
 -I$(top_srcdir)/interface -I$(top_srcdir)/base_natives/common \
 -I$(top_srcdir)/arch/ia32/base_natives

SOURCES = mon_enter_exit.cpp thread_manager.cpp thread_generic.cpp \
 object_manager.cpp object_generic.cpp find_natives.cpp

include $(top_srcdir)/mains/orp/MakeInclude
