=== base_natives/gnu_classpath/Makefile ===
top_srcdir = ../..

INCLUDES = -I$(top_srcdir)/base_natives/gnu_classpath \
 -I$(top_srcdir)/base_natives/gnu_classpath/include \
 -I$(top_srcdir)/os/$(UNAME)/include \
 -I$(top_srcdir)/common/include -I$(top_srcdir)/interface \
 -I$(top_srcdir)/base_natives/common \
 -I$(top_srcdir)/base_natives/common_olv2 \
 -I$(top_srcdir)/arch/ia32/base_natives

SOURCES = java_util_TimeZone.cpp java_util_ResourceBundle.cpp	\
 java_util_GregorianCalendar.cpp java_util_Date.cpp			\
 java_lang_VMSystem.cpp java_lang_VMSecurityManager.cpp			\
 java_lang_VMClassLoader.cpp java_lang_ThreadGroup.cpp			\
 java_lang_Thread.cpp java_lang_System.cpp java_lang_StringBuffer.cpp	\
 java_lang_Runtime.cpp java_lang_reflect_Field.cpp			\
 java_lang_reflect_Constructor.cpp java_lang_Object.cpp			\
 java_lang_Math.cpp java_lang_Float.cpp java_lang_Double.cpp		\
 java_lang_Class.cpp java_io_RandomAccessFile.cpp			\
 java_io_FileOutputStream.cpp java_io_FileInputStream.cpp		\
 java_io_FileDescriptor.cpp java_io_File.cpp initialization.cpp		\
 gnu_specific.cpp gnu_classpath_jni_utils.cpp find_natives_array.cpp	\
 java_net_InetAddress.cpp java_net_PlainSocketImpl.cpp			\
 java_net_PlainSocketImpl_common.cpp					\
 java_net_PlainDatagramSocketImpl.cpp					\
 java_lang_reflect_Array.cpp java_lang_reflect_Method.cpp		\
 java_io_ObjectInputStream.cpp java_io_ObjectOutputStream.cpp   \
 java_lang_PlatformProcess.cpp   \
 java_lang_Throwable.cpp

include $(top_srcdir)/mains/orp/MakeInclude
