=== common/base/Makefile ===
top_srcdir = ../..

SOURCES = bytereader.cpp C_Interface.cpp compile.cpp exceptions.cpp	\
ini.cpp finalize.cpp jit_runtime_support.cpp jni.cpp jni_array.cpp	\
jni_field.cpp jni_method.cpp jni_utils.cpp orp.cpp orp_cout.cpp		\
orp_init.cpp orp_stats.cpp lock_manager.cpp		\
mem_alloc.cpp method.cpp method_lookup.cpp root_set_enum.cpp		\
stack_manipulation.cpp


INCLUDES = -I$(top_srcdir)/common/base -I$(top_srcdir)/os/$(UNAME)/include \
 -I$(top_srcdir)/common/include -I$(top_srcdir)/common/jit_utils/include\
 -I$(top_srcdir)/interface -I$(top_srcdir)/base_natives/common_olv2 \
 -I$(top_srcdir)/base_natives/common \
 -I$(top_srcdir)/arch/ia32/ia32_o1_jit -I$(top_srcdir)/arch/ia32/dump

include $(top_srcdir)/mains/orp/MakeInclude
