=== common/class_loader/Makefile ===
CPP_EXTRAS = -D_POSIX_SOURCE -DZIP_JAR_ARCHIVE
top_srcdir = ../..
UNAME=$(shell uname -s)

INCLUDES = -I$(top_srcdir)/common/class_loader \
  -I$(top_srcdir)/os/$(UNAME)/include \
 -I$(top_srcdir)/common/include	\
 -I$(top_srcdir)/interface -I$(top_srcdir)/base_natives/common_olv2 \
 -I$(top_srcdir)/base_natives/common

SOURCES=Arena.cpp Class.cpp Class_File_Loader.cpp Class_Loader.cpp\
 Environment.cpp Mem_Manager.cpp Package.cpp Prepare.cpp Resolve.cpp\
 Signature.cpp String_Pool.cpp Verifier.cpp

include $(top_srcdir)/mains/orp/MakeInclude
