=== common/gc/Makefile ===
CPP_EXTRAS = -DGC_DEBUG -DGC_GEN_V3
top_srcdir = ../..

INCLUDES = -I$(top_srcdir)/common/gc/include \
 -I$(top_srcdir)/os/$(UNAME)/include \
 -I$(top_srcdir)/common/include -I$(top_srcdir)/interface \
 -I$(top_srcdir)/base_natives/common

SOURCES = block_list.cpp block_store.cpp car.cpp card_table.cpp	\
 descendents.cpp exit.cpp garbage_collector.cpp gc_asserts.cpp		\
 gc_component.cpp gc_debug.cpp gc_for_orp.cpp gc_globals.cpp		\
 gc_header.cpp gc_hooks.cpp gc_interface.cpp gc_perf.cpp gc_plan.cpp	\
 gc_space.cpp gc_walk.cpp generation.cpp hash_table.cpp			\
 orp_interface.cpp los.cpp los_container.cpp mrl_gc_v1.cpp nursery.cpp	\
 nursery_step_gen.cpp object_list.cpp pair_table.cpp remembered_set.cpp	\
 sapphire.cpp slot_offset_list.cpp step.cpp step_generation.cpp		\
 train.cpp train_generation.cpp linux_api.cpp

include $(top_srcdir)/mains/orp/MakeInclude
