=== common/jit_utils/Makefile ===
top_srcdir = ../..

INCLUDES =  -I$(top_srcdir)/common/jit_utils \
 -I$(top_srcdir)/os/$(UNAME)/include \
 -I$(top_srcdir)/common/include \
 -I$(top_srcdir)/interface \
 -I$(top_srcdir)/base_natives/common -I$(top_srcdir)/common/jit_utils/include

SOURCES = Bit_Vector.cpp dump_jit.cpp jit_common.cpp mtable.cpp

include $(top_srcdir)/mains/orp/MakeInclude
