=== os/linux/Makefile ===
top_srcdir = ../..

INCLUDES = -I$(top_srcdir)/os/linux \
 -I$(top_srcdir)/os/linux/include -I$(top_srcdir)/common/include \
 -I$(top_srcdir)/interface -I$(top_srcdir)/base_natives/common \
 -I$(top_srcdir)/base_natives/common_olv2 \
 -I$(top_srcdir)/base_natives/gnu_classpath/include

SOURCES = os_wrapper.cpp platform_utils.cpp signals_ia32.cpp

include $(top_srcdir)/mains/orp/MakeInclude
