=== arch/ia32/base/Makefile ===
top_srcdir = ../../..

INCLUDES = -I$(top_srcdir)/arch/ia32/base \
 -I$(top_srcdir)/os/$(UNAME)/include \
 -I$(top_srcdir)/common/include \
 -I$(top_srcdir)/common/jit_utils/include \
 -I$(top_srcdir)/interface -I$(top_srcdir)/base_natives/common_olv2 \
 -I$(top_srcdir)/base_natives/common \
 -I$(top_srcdir)/arch/ia32/ia32_o1_jit -I$(top_srcdir)/arch/ia32/dump \
 -I$(top_srcdir)/arch/ia32/debugger/include

SOURCES = compile_IA32.cpp \
 enum_trampoline.cpp exceptions_ia32.cpp ini_iA32.cpp	\
 jit_runtime_support_ia32.cpp root_set_enum_ia32.cpp	\
 jit_lock_rt_support_ia32.cpp 	\
 stack_manipulation_ia32.cpp

include $(top_srcdir)/mains/orp/MakeInclude
