=== debian/control ===
Source: orp
Section: user/games
Priority: extra
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: orp
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Application to control a PS3 via Remote Play
 *** THIS APPLICATION RUNS AT VERY LOW SPEEDS ON THE N900 ***
 Wouldn't it be cool if you could run Remote Play from your laptop, desktop, or
 perhaps your phone?
 .
 After 2 weeks of hardcore reverse-engineering, now you can!
 . 
 I would like to thank Dark_AleX for hacking the PSP.  Without his work, ORP
 would not be possible.  I would also like to thank TyRaNiD for psplink and
 prxtool.  Using psplink makes this type of work almost painless!  Thanks to
 jas0nuk for the essential PRXdecrypter utility.
 .
 Thanks to Greg of http://ps3-hacks.com for the MacBook loan and beer!
 .
 Thanks to MohammadAG for the virtual keyboard idea!
XB-Maemo-Display-Name: Open Remote Play
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oFBBcmMbOauyUAABArSURBVFgJASAQ3+8BAAAA/wAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAADAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAXFxcAj4+PADg4OAAJCQkA+Pj4APT09AD///8AAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAFBQUAOjo6ACoqKgD29vYA7u7uANHR0QC7u7sAwsLCANvb2wD19fUA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAA/wAAAP8AAAD/AAAA/wAAAP8AAAD/AAAA/wAAAP8AAAD/AAAA/wAAAP8c
 HBz/09PT///////////////////////9/f3/5ubm/7a2tv9aWlr/FRUV/wAA
 AP8AAAD/AAAA/wAAAP8AAAD/AAAA/wAAAP8AAAD/AAAA/wAAAP8AAAAA/wAA
 AP8AAAD/AAAA/wAAAP8AAAD/AAAA/wAAAP8AAAD/AAAA/wAAAP8cHBz/09PT
 ///////////////////////+/v7//f39///////7+/v/x8fH/0dHR/8CAgL/
 AAAA/wAAAP8AAAD/AAAA/wAAAP8AAAD/AAAA/wAAAP8AAAAA/wAAAP8AAAD/
 AAAA/wAAAP8AAAD/AAAA/wAAAP8AAAD/AAAA/wAAAP8cHBz/09PT////////
 //////////39/f+ampr/aWlp//Pz8/////////////r6+v9oaGj/BAQE/wAA
 AP8AAAD/AAAA/wAAAP8AAAD/AAAA/wAAAP8AAAAA/wAAAP8AAAD/AAAA/wAA
 AP8AAAD/AAAA/wAAAP8AAAD/AAAA/wAAAP8cHBz/09PT////////////////
 //X19f9NTU3/AwMD/8XFxf/////////////////r6+v/NTU1/wAAAP8AAAD/
 AAAA/wAAAP8AAAD/AAAA/wAAAP8CAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAP///wD+
 /v4A/f39APDw8AAAAAAAAAAAAAAAAAAUFBQAXV1dAAICAgAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA 
 AAEBAQAAAAAAAAAAAAAAAAAAAAAANzc3ABISEgAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAACAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAGBgYABUVFQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAACAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAABwcHAAYGBgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAA/f39AP39/QAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA 
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA7Ozs
 AO/v7wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAx8fHAOjo6AAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAEBAQAUFBQACAgIAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAPz8/AAAAAAAAAAAAAAAAADX19cAkJCQAP39/QAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAICAgAWFhYAMDAwAFFRUQA/Pz8AICAgAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAH5+fgDKysoAIiIiAOjo6ACjo6MA2traAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAEAAAAAAAAAAAAAAAAAAAAAAEBAQAKCgoALCwsAE1NTQBI
 SEgAKysrAAgICAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAwMDAN3d
 3QCtra0AJSUlAB8fHwBTU1MAAgICAPT09ADk5OQA2dnZAODg4AD19fUA/Pz8 
 AAAAAAAEAAAAAAAAAAACAgIAHx8fAE1NTQBSUlIAODg4AAcHBwAAAAAAAAAA
 AAAAAAD5+fkAAgICAAUFBQAAAAAAAAAAAAEBAQArKysAOjo6AEZGRgArKysA
 CQkJAAAAAAAAAAAAAAAAAAAAAAAAAAAA/Pz8ANbW1gC9vb0AqqqqAMjIyAAB
 AwMD/0RERABoaGgAQUFBAAwMDAADAwMAAAAAAAAAAAD09PQAy8vLALGxsQDO 
 zs4Al5eXACsrKwAAAAAAAAAAAAAAAAD8/PwAAwMDAAEBAQAAAAAAAAAAAPPz 
 8wDKysoAxMTEAOjo6AANDQ0AZ2dnACMjIwD///8A9fX1AJSUlAAAZWVl/+rq
 6v/////////////////29vb/0NDQ/4+Pj/84ODj/EBAQ/wYGBv83Nzf/29vb
 //////////////////////////////////Pz8//Ozs7/jIyM/zc3N/8QEBD/
 BwcH/yQkJP9eXl7/4eHh/////////////////+Hh4f8AsLCw//7+/v//////
 //////f39/9kZGT/ICAg/woKCv8TExP/SkpK/52dnf/a2tr//Pz8////////
 //////////7+/v/l5eX/m5ub/0tLS/8ZGRn/BQUF/xQUFP9OTk7/n5+f/9ra
 2v/7+/v////////////9/f3/6Ojo/2xsbP8ANjY2/9LS0v/+/v7///////z8
 /P+6urr/oKCg/6ysrP/W1tb//v7+////////////////////////////////
 //X19f9TU1P/AAAA/wQEBP80NDT/jY2N/9fX1///////////////////////
 /////+Xl5f+SkpL/MjIy/wAAAP8BAAAA/wwMDAA8PDwAR0dHADAwMAAfHx8A
 ERERAAcHBwAAAAAA+fn5AO/v7wDt7e0AJycnAA0NDQAAAAAAAAAAAPb29gB9
 fX0ABwcHAFVVVQAqKioABgYGAAEBAQAAAAAA////AOXl5QDCwsIAq6urAL6+
 vgD09PQA/v7+AAAAAAABAAAA/wAAAAAAAAAABAQEAAwMDAAMDAwACgoKAAkJ
 CQABAQEA9vb2APb29gAPDw8AqqqqACoqKgAAAAAAAAAAAP///wD09PQACgoK
 AAMDAwAAAAAA////AO3t7QDKysoAra2tAMHBwQDl5eUA+Pj4AAAAAAACAgIA
 FhYWAPv7+wABAAAA/wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAANDQ0AbGxsAFZWVgAgICAADQ0NAAMDAwAAAAAA////APPz8wDc
 3NwAtra2ALa2tgDR0dEA9vb2AAAAAAAAAAAAAAAAAAAAAAAXFxcAVFRUAPr6
 +gABAAAA/wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAoKCgAyMjIAREREAEhISAAaGhoAs7OzAK+vrwDKysoA8vLy
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAXFxcARkZGAAEBAQABAAAA
 /wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAsvjm+kU1q9QAAAABJRU5ErkJggg==
 ====
